skip to navigation
skip to content

robotframework-selenium2library 3.0.0b1

Web testing library for Robot Framework

Selenium2Library is a web testing library for Robot Framework that uses the Selenium tool internally. Starting from version 3.0, the library is renamed to SeleniumLibrary and this project exists mainly to help with transitioning.

Versions

Selenium2Library 3.0 and newer extend the new SeleniumLibrary and thus contain exactly the same code and functionality. There have been lot of internal changes in the library, but external functionality provided by keywords should be fully backwards compatible. Libraries and tools using Selenium2Library internally may need to be updated to support Selenium2Library 3, though. Selenium2Library 1.8 is the latest, and last, legacy version with the old architecture and code.

Selenium2Library 3 supports Python 2.7 as well as Python 3.3 and newer. Selenium2Library 1.8 supports Python 2.6-2.7.

Keyword documentation

Installation

The recommended approach to install Selenium2Library, regardless the version, is using pip.

Install (or upgrade) the latest Selenium2Library 3 release:

pip install --upgrade --pre robotframework-selenium2library

Notice that --pre is required until the final Selenium2Library 3.0.0 version is released.

Install the legacy Selenium2Library 1.8.0 version:

pip install robotframework-selenium2library==1.8.0
 
File Type Py Version Uploaded on Size
robotframework-selenium2library-3.0.0b1.tar.gz (md5) Source 2017-09-01 66KB